> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crypto-to-Fiat Quote

> Real-time exchange rate calculation for a specific token and network.



## OpenAPI

````yaml /openapi.json get /api/v1/offramp/exchange/quote
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/offramp/exchange/quote:
    get:
      tags:
        - Offramp | Exchange
      summary: Get Crypto-to-Fiat Quote
      description: Real-time exchange rate calculation for a specific token and network.
      operationId: OfframpExchangeController_getQuote
      parameters:
        - name: token
          required: true
          in: query
          description: The cryptocurrency token to swap
          schema:
            example: USDT
            enum:
              - USDT
              - USDC
              - CNGN
            type: string
        - name: network
          required: true
          in: query
          description: The blockchain network the token is on
          schema:
            example: base
            enum:
              - base
              - polygon
              - arbitrum-one
              - bnb-smart-chain
              - ethereum
              - starknet
              - optimism
              - lisk
              - scroll
            type: string
        - name: amount
          required: true
          in: query
          description: Amount of crypto to exchange
          schema:
            type: number
            example: 100
        - name: fiat
          required: false
          in: query
          description: Target fiat currency for payout
          schema:
            type: string
            enum:
              - NGN
              - GHS
              - KES
              - USD
            default: NGN
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OfframpExchangeRateDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    OfframpExchangeRateDto:
      type: object
      properties:
        token:
          type: string
          enum:
            - USDT
            - USDC
            - CNGN
        amount:
          type: number
        network:
          type: string
          enum:
            - base
            - polygon
            - arbitrum-one
            - bnb-smart-chain
            - ethereum
            - starknet
            - optimism
            - lisk
            - scroll
        fiat:
          type: string
          enum:
            - NGN
            - GHS
            - KES
            - USD
          default: NGN
        rate:
          type: number
      required:
        - token
        - amount
        - network
        - fiat
        - rate
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````